Subject: Re: bug#32580: Setting variables %load-should-autocompile and GUILE_AUTO_COMPILE in ~/.guile doesn't prevent compiling

From: seamus phenetols <[email-masked]>
Date: Fri, 31 Aug 2018 10:00:08 -0400

Hello MC,

> My guess is that setting GUILE_AUTO_COMPILE dynamically in your ~/.guile
> is too late; the Guile process would have already been fire-up without
> it set early enough to take effect (just a guess).

I assumed ~/.guile would be evaluated before any script.  Perhaps I am mistaken.

> Try exporting the GUILE_AUTO_COMPILE variable before running your
> program, or setting it inline in front of your guile command:

Yes, that does work.  Now every time I want to disable autocompile I must:

GUILE_AUTO_COMPILE=0 guile ~/scheme/hello.scm

If there is a hello.go under $XDG_CACHE_HOME/guile then it will be used
anyway unless it is considered out of date.  I would very much prefer to:

eliminate the unnecessary chatter when no warnings or errors occur
OR disable the auto-compile feature in ~/.guile.  

If these aren't possible, then I suppose I can make a shell alias or function
for:

 GUILE_AUTO_COMPILE=0 guile

> Where have you seen that %load-should-autocompile variable documented?
> It doesn't appear in the Guile Reference info manual.
>
> This doesn't seem to be a bug :)

%load-should-autocompile was mentioned in IRC by the person who asked
me to report this as a bug.  It's also present in some commit messages I 
found by a general web search.  

Thanks.